### Hierarchy

- unknown
  - PersistableNetworkPayload

## Index

### Constructors

- constructor

### Methods

- clearAccountAgeWitness
- clearSignedWitness
- clearTradeStatistics2
- clearTradeStatistics3
- getAccountAgeWitness
- getMessageCase
- getSignedWitness
- getTradeStatistics2
- getTradeStatistics3
- hasAccountAgeWitness
- hasSignedWitness
- hasTradeStatistics2
- hasTradeStatistics3
- serializeBinary
- setAccountAgeWitness
- setSignedWitness
- setTradeStatistics2
- setTradeStatistics3
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PersistableNetworkPayload(): PersistableNetworkPayload

- Inherited from jspb.Message.constructor

  #### Returns PersistableNetworkPayload

## Methods

### clearAccountAgeWitness

- clearAccountAgeWitness(): PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:2474

  #### Returns PersistableNetworkPayload

### clearSignedWitness

- clearSignedWitness(): PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:2484

  #### Returns PersistableNetworkPayload

### clearTradeStatistics2

- clearTradeStatistics2(): PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:2479

  #### Returns PersistableNetworkPayload

### clearTradeStatistics3

- clearTradeStatistics3(): PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:2489

  #### Returns PersistableNetworkPayload

### getAccountAgeWitness

- getAccountAgeWitness(): undefined | AccountAgeWitness

- - Defined in src/protobuf/pb_pb.d.ts:2471

  #### Returns undefined | AccountAgeWitness

### getMessageCase

- getMessageCase(): PersistableNetworkPayload . MessageCase

- - Defined in src/protobuf/pb_pb.d.ts:2491

  #### Returns PersistableNetworkPayload . MessageCase

### getSignedWitness

- getSignedWitness(): undefined | SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:2481

  #### Returns undefined | SignedWitness

### getTradeStatistics2

- getTradeStatistics2(): undefined | TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:2476

  #### Returns undefined | TradeStatistics2

### getTradeStatistics3

- getTradeStatistics3(): undefined | TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:2486

  #### Returns undefined | TradeStatistics3

### hasAccountAgeWitness

- hasAccountAgeWitness(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2473

  #### Returns boolean

### hasSignedWitness

- hasSignedWitness(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2483

  #### Returns boolean

### hasTradeStatistics2

- hasTradeStatistics2(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2478

  #### Returns boolean

### hasTradeStatistics3

- hasTradeStatistics3(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2488

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2493

  #### Returns Uint8Array

### setAccountAgeWitness

- setAccountAgeWitness(value?: AccountAgeWitness ): PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:2472

  #### Parameters

  - ##### Optional value: AccountAgeWitness

  #### Returns PersistableNetworkPayload

### setSignedWitness

- setSignedWitness(value?: SignedWitness ): PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:2482

  #### Parameters

  - ##### Optional value: SignedWitness

  #### Returns PersistableNetworkPayload

### setTradeStatistics2

- setTradeStatistics2(value?: TradeStatistics2 ): PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:2477

  #### Parameters

  - ##### Optional value: TradeStatistics2

  #### Returns PersistableNetworkPayload

### setTradeStatistics3

- setTradeStatistics3(value?: TradeStatistics3 ): PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:2487

  #### Parameters

  - ##### Optional value: TradeStatistics3

  #### Returns PersistableNetworkPayload

### toObject

- toObject(includeInstance?: boolean): PersistableNetworkPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2494

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PersistableNetworkPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:2497

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PersistableNetworkPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PersistableNetworkPayload, reader: BinaryReader): PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:2498

  #### Parameters

  - ##### message: PersistableNetworkPayload

  - ##### reader: BinaryReader

  #### Returns PersistableNetworkPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PersistableNetworkPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2496

  #### Parameters

  - ##### message: PersistableNetworkPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PersistableNetworkPayload ): PersistableNetworkPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2495

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PersistableNetworkPayload

  #### Returns PersistableNetworkPayload . AsObject

Generated using TypeDoc